# The What and Why: Robin Keys

The idea of Robin Keys is to provide flexibility and make for a better developer experience while naming fields for your User model.

Fundamentally, the `keys` object consists of the three unique fields we currently have for each user — `userToken`, `profileImage`, and `userName`. The values of those fields should be strings you would rather refer to them as.

**Here's an example:**

```jsx
keys: {
    userToken: 'user_token',
    profileImage: 'profile_image',
    userName: 'user_name'
},
```

This way, you can refer to a user’s user token as `user_token`, profile image as `profile_image`, and username as `user_name`.

Interesting, right? You’re welcome!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.robinapp.co/messaging-with-robin/guides/the-what-and-why-robin-keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
